fuzzydl.milp

## Class Solution

- java.lang.Object
- - fuzzydl.milp.Solution

-     public class Solution
      extends java.lang.Object

  Solution to some query over a fuzzy KB.
  Author:
    Fernando Bobillo

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `CONSISTENT_KB` Indicates whether the fuzzy KB is consistent.
    `static boolean` | `INCONSISTENT_KB` Indicates whether the fuzzy KB is inconsistent.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Solution(boolean consistent)` Creates a new Solution, indicating whether the original KB is consistent.
    `Solution(double sol)` Creates a new Solution, with the result of a query over a consistent KB.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getSolution()` Gets the solution to some query over a consistent KB.
    `boolean` | `isConsistentKB()` Indicates whether the original KB is consistent or not.
    `java.lang.String` | `toString()` Gets a printable name of the solution.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CONSISTENT_KB

          public static final boolean CONSISTENT_KB

      Indicates whether the fuzzy KB is consistent.
      See Also:
        Constant Field Values

    - #### INCONSISTENT_KB

          public static final boolean INCONSISTENT_KB

      Indicates whether the fuzzy KB is inconsistent.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Solution

          public Solution(boolean consistent)

      Creates a new Solution, indicating whether the original KB is consistent.
      Parameters:
        `consistent` - True if the original KB is consistent, false if contrary.

    - #### Solution

          public Solution(double sol)

      Creates a new Solution, with the result of a query over a consistent KB.
      Parameters:
        `sol` - Solution to some query over a consistent KB.

  - ### Method Detail

    - #### isConsistentKB

          public boolean isConsistentKB()

      Indicates whether the original KB is consistent or not.
      Returns:
        True if the original KB is consistent, false if contrary.

    - #### getSolution

          public double getSolution()

      Gets the solution to some query over a consistent KB.
      Returns:
        Solution to some query over a consistent KB.

    - #### toString

          public java.lang.String toString()

      Gets a printable name of the solution.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Name of the solution.